Subject: 24.4; ibuffer with double-width characters doesn't work correctly

From: Shigeru Fukaya <[email-masked]>
Date: Tue, 04 Nov 2014 00:25:07 +0900

Hello,

`ibuffer' displays buffer information on incorrect column position if
buffer name includes double-width characters or singile-width
multibyte characters.  It is mostly because they wrongly use `length'
for string width.

It can be fixed almost by replacing length, substring with
string-width, truncate-string-to-width in several functions.

Regards,
Shigeru